Kaspersky\VPN\KSOS — 21.9.3.320


  • , last edited by AlexeyK

    @unclwish said in Kaspersky\\VPN\\KSOS — 21\.9\.3\.320:

    Имеете ввиду, через AppVerifier_off-x64.reg?

    Да.

    А разве AppVerifier и механизмы отладки в GUI - это одно и тоже?

    В продуктах ЛК есть ссылки на справочные материалы. Если нажать на знак "?" около опции, по которой требуется информация, то эта справка откроется.

    В статье сказано, как отключаются механизмы отладки. Раз Driver Verivier отключен, о чем говорится в каждом описании к бете, то остается App Verifier.

  • @alexeyk said in Kaspersky\\VPN\\KSOS — 21\.9\.3\.320:

    Верифаер в сборке не отключается ни через GUI, ни через reg-файл. Хотя через reg-файл разделы реестра удаляются и нагрузка после ребута падает, но в GUI показывает, что отладка включена.

    Имеете ввиду, через AppVerifier_off-x64.reg?

    А разве AppVerifier и механизмы отладки в GUI - это одно и тоже?

  • @dmitriy-pisarets said in Kaspersky\\VPN\\KSOS — 21\.9\.3\.320:

    сделайте минимальный репорт

    Готово.

  • @michel said in Kaspersky\\VPN\\KSOS — 21\.9\.3\.320:

    @dmitriy-pisarets said in Kaspersky\\VPN\\KSOS — 21\.9\.3\.320:

    NET runtime 6.010 требуется для корректной работы приложения.

    А предыдущий билд (21.9.1.232) работал под .NET 4.8?

    Насколько я вижу в теме для 21.9.1 также заявлено требование .NET 6 а вот в теме по 21.9.0 ещё не было заявлено.

  • @dmitriy-pisarets said in Kaspersky\\VPN\\KSOS — 21\.9\.3\.320:

    NET runtime 6.010 требуется для корректной работы приложения.

    А предыдущий билд (21.9.1.232) работал под .NET 4.8?

  • , last edited by Michel

    @new-kis-user-2012, зависит от breaking changes в самом фреймворке, но обычно внутри минорных версий такого нет, просто сам продукт тестировали под конкретный билд .NET и под этим билдом продукт гарантировано работает, под билдами выше программа скорее всего тоже будет работать, но без гарантий.

    Вот в .NET 7 действительно могут быть всякие критические изменения, несовместимые с 6.х и тогда продукт может перестать работать.

    Жаль, что не стали сразу под .NET 7 пилить, там обещают улучшенный перформанс.

  • @new-kis-user-2012 said in Kaspersky\\VPN\\KSOS — 21\.9\.3\.320:

    это уж точно перебор.

    я попробую уточнить у коллег, кто этим занимается, и получить от них корректный ответ. 

  • @alexeyk said in Kaspersky\\VPN\\KSOS — 21\.9\.3\.320:

    еще на перемешивание блоков при повторных открытиях в разделах Безопасность и т.п (скрин)?

    это я сейчас в известное добавлю =) 

    по верифаеру можете не собирать, но сделайте минимальный репорт, я к нему номер баги привяжу

  • @dmitriy-pisarets Нагрузка на систему падает, а не продукт.) Хотя краш тоже был, попозже выложу дамп.

    На верифаер нужен баг-репорт? И еще на перемешивание блоков при повторных открытиях в разделах Безопасность и т.п (скрин)?

  • , last edited by new kis user 2012

    @dmitriy-pisarets said in Kaspersky\\VPN\\KSOS — 21\.9\.3\.320:

    скорее всего нет, знаю точно что 6.011 не поддерживается.

    Несколько странно, насколько я знаю каждая последующая версия .NET как правило включает в себя то что есть и то что нужно из старой. Хотя раньше бывали конечно исключения что нужно было иметь для нормальной работы каких-то программ и старую версию .NET и новую одновременно, но речь как правило шла о сильно различающихся по номерам версиях. Переход интерфейса антивируса с .NET 4 на .NET 6 это понятно, большой скачок, но неужели между .NET 6 и .NET 7 такая большая разница что теряется совместимость? А уж остутствие совместимости в рамках одной глобальной версии (6.010 - да, а 6.011 - уже нет) это уж точно перебор. (Это моё личное мнение и не более того если что)

  • @alexeyk said in Kaspersky\\VPN\\KSOS — 21\.9\.3\.320:

    после ребута падает, но в GUI показывает, что отладка включена.

    звучит как баг

  • @michel said in Kaspersky\\VPN\\KSOS — 21\.9\.3\.320:

    Нужно ли устанавливать .NET Runtime вручную или установщик KIS сам это сделает?

    должен сам

    Можно ли использовать .NET 7.0.0?

    скорее всего нет, знаю точно что 6.011 не поддерживается. попробую уточнить

  • , last edited by Michel

    @dmitriy-pisarets said in Kaspersky\\VPN\\KSOS — 21\.9\.3\.320:

    .NET Runtime 6.010 требуется для корректной работы приложения.

    Нужно ли устанавливать .NET Runtime вручную или установщик KIS сам это сделает?

    Можно ли использовать .NET 7.0.0?

  • У меня plus, тоже не отключается

  • @angeldragon У меня в Plus ru_UN, другие не пробовал, но теоретически должно быть во всех. smile

  • @alexeyk это в каком-то одном дистрибутиве так или во всех? sealed

  • , last edited by AlexeyK

    Верифаер в сборке не отключается ни через GUI, ни через reg-файл. Хотя через reg-файл разделы реестра удаляются и нагрузка после ребута падает, но в GUI показывает, что отладка включена.


Locked

Looks like your connection to Beta Testing was lost, please wait while we try to reconnect.